cURL
curl --request GET \
--url https://test.deribit.com/api/v2/private/set_disabled_trading_productsimport requests
url = "https://test.deribit.com/api/v2/private/set_disabled_trading_products"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://test.deribit.com/api/v2/private/set_disabled_trading_products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 1569,
"result": "ok"
}Account Management
private/set_disabled_trading_products
Configures which trading products (instruments, currencies, or instrument types) are disabled for a subaccount. Disabled products cannot be traded by the subaccount, providing a way to restrict trading activities.
This is useful for risk management and compliance purposes. Only the main account owner can modify trading product restrictions for subaccounts.
Scope: account:read_write
cURL
Query Parameters
Id of a (sub)account
Example:
1
List of available trading products. Available products: perpetual, futures, options, future_combos, option_combos, spots
Available options:
perpetual, futures, options, future_combos, option_combos, spots Was this page helpful?